<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="RaisePlan_List.aspx.cs" Inherits="RM.Web.Training.plan.RaisePlan_List" %>

<%@ Register Src="~/UserControl/PageControl.ascx" TagName="PageControl" TagPrefix="uc1" %>
<%@ Register Src="~/UserControl/LoadButton.ascx" TagName="LoadButton" TagPrefix="uc2" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title><%=RM.Common.DotNetConfig.LanguageHelper.GetKey("RaisePlan_List")%></title>
    <link href="/Themes/Styles/Site.css" rel="stylesheet" type="text/css" />
    <script src="/Themes/Scripts/jquery-1.8.2.min.js" type="text/javascript"></script>
    <script src="/Themes/Scripts/FunctionJS.js" type="text/javascript"></script>
    <link href="/Themes/Scripts/artDialog/skins/aero.css" rel="stylesheet" type="text/css" />
    <script src="/Themes/Scripts/artDialog/artDialog.js" type="text/javascript"></script>
    <script src="/Themes/Scripts/jQuery.lightMenu-1.0.0.min.js" type="text/javascript"></script>
</head>
<body>
    <form id="form1" runat="server">
    <div class="btnbartitle">
        <div>
            <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("RaisePlan_List")%>
        </div>
    </div>
    <div class="btnbarcontetn">
        <div style="text-align: right">
            <uc2:LoadButton ID="LoadButton1" runat="server" />
        </div>
    </div>
    <div class="div-body">
        <%=TableHtml%>
    </div>
    <uc1:PageControl ID="PageControl1" runat="server" />
    </form>
</body>
<script type="text/javascript">
    $(function () {
        //把分页定位到屏幕下面
        divresize(120);
        FixedTableHeader("#table1", $(window).height() - 121);
    })
    function add() {
        var url = "/Training/plan/RaisePlan_Form.aspx";
        //top.openDialog(url, 'Plan_Form_add', '培训计划 - 添加', 750, 400, 50, 50);
        window.location = url;
    }
    //编辑
    function edit() {
        var arrt = new Array();
        arrt = CheckboxValue().split('|');
        var key = arrt[0];
        if (IsEditdata(CheckboxValue())) {
            var url = "/Training/plan/RaisePlan_Form.aspx?key=" + key;
            window.location = url;
        } else {
            showFaceMsg('<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Plan_pxjhedit")%>');
        }
    }
    function detail() {
        var arrt = new Array();
        arrt = CheckboxValue().split('|');
        var key = arrt[0];
        if (IsEditdata(CheckboxValue())) {
            var url = "/Training/plan/RaisePlan_People.aspx?key=" + key;
            window.location = url;
        }
    }
    //删除
    function Delete() {
        var arrt = new Array();
        arrt = CheckboxValue().split('|');
        var key = arrt[0];
        if (IsEditdata(CheckboxValue())) {
            var delparm = 'action=Virtualdelete&module=<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("RaisePlan_zcjh")%>&tableName=TKS_RaisePlan&pkName=RaisePlanID&pkVal=' + key;
            delConfig('/Ajax/Common_Ajax.ashx', delparm)
        }
    }
    globalSetTags('<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Plan_pxjh")%>', 'primaryId');
    </script>
    <script src="../../Themes/Scripts/CreateContextJs.js" type="text/javascript"></script>
</html>
